Subject: RE: bug#31130: 26; Regression: intra-glossary links broken in Emacs manual

From: Drew Adams <[email-masked]>
Date: Thu, 12 Apr 2018 11:20:19 -0700 (PDT)

> > > > > ISTR that you reported in the past similar problems, and
> > > > > each time the reason turned out to be old Info files
> > > > > and/or old Emacs versions.
> > > >
> > > > I don't think so.  Please point me to a thread about that.
> > >
> > > See the discussion in bug#29839.
> >
> > Yes, thanks for that xref.  That sounds like exactly
> > the same problem.  Still no clue just what was going on.
> 
> I think the fact that you have a private version of Info-find-node-2,
> which is different from the one in stock info.el, explains the
> behavior you see.

That explains why I saw this using my setup.
But I don't see how it explains why I saw it using
emacs -Q, even after having used my setup in a separate
session, and even if that separate session is still open.

That's still a mystery to me.  And the fact that I
reported the same thing twice, years apart (having
forgotten the first report) supports the description
that I gave (both times): I saw the problem with emacs
-Q (in multiple versions even), but later couldn't
repro it.

Anyway, I'm fixing my version of I`nfo-find-node-2'...